Check delivery location eligibility

POST <baseURL>/deliveries/location/eligibility

This request validates a delivery location as being eligible.

The request is typically made after getting the customer's address information but before creating their order.
If the customer's address is not in an eligible location, there is no need to submit the order for delivery.
The client app may present other options, such as suggesting an alternative eligible pickup location.

A location is eligible for delivery if it is both:

  • Within the delivery catchment distance, or the maximum allowed distance, from a pickup point.
    The delivery catchment distance is the driving distance, not the straight line distance.
    Location eligibility status can also change for a specified delivery location throughout the day based on traffic conditions.
    For example, traffic congestion, road conditions, road construction, detours, or weather events, such as flooding or downed trees, may affect location eligibility.
  • Can be verified as a legitimate address. It is possible that an address could not be verified, such as if the address does not exist, or cannot be located by Walmart GoLocal.

For example, a client's delivery catchment distance (the maximum delivery driving distance) is set to ten miles.

  • If a customer's delivery location is 5.2 miles from their pickup point, the request validates that location as being eligible.
  • If a customer's delivery location is 11.5 miles from their pickup point, the request validates that location as being ineligible.

Up to ten pickup locations or up to ten delivery locations may each be specified in a single request.
Walmart GoLocal determines for each pickup location if there is an eligible delivery location.
It is also possible that no delivery locations are eligible.

The request responds with:

  • The set of eligible delivery locations from among the locations included in the request.
    If there is at least one eligible delivery location is available, this request returns { "isEligibleForService": true }
  • If there no eligible delivery locations from among the locations included in the request, the request returns { "isEligibleForService": false }.

The orderSize field is optional.
If orderSize isn't specified, the Walmart GoLocal platform default catchment mileage will be used to determine
location eligibility.
When orderSize is specified as S, M, L, or XL, the default catchment area is applied to validation. For Oversized
orders, a specific catchment area configured for Oversized items is used.

For scenarios with multiple delivery locations from a single pickup point, only one orderSize can be provided.
If no size is specified, the default catchment area is used.

In cases when there is multiple pickup points to a single delivery location, only one orderSize can be provided.
If no orderSize is specified, the default catchment mileage is used to determine the location eligibility.

Examples

This request must include either a delivery address or the geolocation (using latitude and longitude coordinates), or both.
This example represents a location eligibility request using a delivery address.

POST {baseURL}/deliveries/location/eligibility

Request body:

{ "deliveries": { "clientId": "49304", "pickupDetails": [ { "externalPickupPointId": "101979" } ], "deliveryDetails": [ { "address": { "line1": "853 W California Ave", "line2": "Apt 10", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" } } ], "orderManifest": { "summary": { "orderSize": "M" } } }
}

This is the response from a successful request.
This displays a list of resolved addresses, which are the addresses that the order can be delivered to.

Response body:

{ "isEligibleForService": true, "eligiblePickups": [ { "pickupPointId": "107904", "externalPickupPointId": "4969" } ], "resolvedAddresses": [ { "address": { "line1": "853 W California Ave", "line2": "Apt 10", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" }, "latLong": { "lat": 37.12345, "lng": -122.12345 } } ]
}

This example represents a location eligibility request using multiple destination locations, although a single address could also be used.
Only geolocations may be used when including multiple locations. Do not use or include addresses.

POST {baseURL}/deliveries/location/eligibility

Request body:

{ "deliveries": { "clientId": "1419", "pickupDetails": [ { "externalPickupPointId": "1234" } ], "deliveryDetails": [ { "latLong": { "lat": 37.123456, "lng": -122.123456 } }, { "latLong": { "lat": 36.123456, "lng": -121.123456 } } ] }
}

This is the response from multiple destination locations, although a single address could also be used.

Response body:

{ "isEligibleForService": true, "eligiblePickups": [ { "pickupPointId": "165618", "externalPickupPointId": "1234" } ], "resolvedAddresses": [ { "latLong": { "lat": 37.123456, "lng": -122.123456 } }, { "latLong": { "lat": 36.123456, "lng": -121.123456 } } ]
}

See Also

To book a delivery, see POST /deliveries.

To search for a delivery, see POST /deliveries/search.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Determines that a delivery address is eligible for delivery.

deliveries
object
required

Specifies an object listing proposed delivery destinations and proposed pick up points.

From among the proposed delivery locations and proposed pick up points, this request returns a list of delivery destinations.
At least one of each delivery destination and a pick up point must be proposed.
However multiple delivery destinations and multiple pick up points may not be proposed.

Valid combinations are:

Proposed Pick Up Locations
pickupPointId
externalPickupPointId
Proposed Delivery Destinations
address
Allowed?
SingleSingleAllowed
SingleMultipleNot Allowed
MultipleSingleNot Allowed
MultipleMultipleNot Allowed
Proposed Pick Up Locations
pickupPointId
externalPickupPointId
Proposed Delivery Destinations
latLong
Allowed?
SingleSingleAllowed
SingleMultipleAllowed
MultipleSingleAllowed
MultipleMultipleNot Allowed
Headers
string
required

Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for <consumer_id>.

This is the client Consumer ID value for the OAuth2 authentication, which will be provided by the client's Technical Account Manager

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

444

No Response From The Server. Check the URL and try again.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json